ServerEvents.recipes(event => {
	event.remove({type: 'createsifter:sifting'})
	event.remove({type: 'create:crushing', input: 'minecraft:dripstone_block'})
	event.remove({output: 'createsifter:brass_sifter'})
	event.remove({output: 'createsifter:advanced_brass_mesh'})
	event.recipes.createsifterSifting(
	[Item.of('minecraft:redstone').withChance(0.3), Item.of('minecraft:glowstone_dust').withChance(0.15), Item.of('minecraft:bone_meal').withChance(0.3), Item.of('minecraft:quartz').withChance(0.25), Item.of('create:experience_nugget').withChance(0.2)],
	['minecraft:sand','createsifter:advanced_brass_mesh'])
	event.recipes.createsifterSifting(
	[Item.of('minecraft:kelp').withChance(0.2), Item.of('minecraft:seagrass').withChance(0.2), Item.of('minecraft:tube_coral').withChance(0.05), Item.of('minecraft:brain_coral').withChance(0.05), Item.of('minecraft:bubble_coral').withChance(0.05), Item.of('minecraft:fire_coral').withChance(0.05), Item.of('minecraft:horn_coral').withChance(0.05)],
	['minecraft:dirt','createsifter:string_mesh']).waterlogged()
	event.recipes.createsifterSifting(
	[Item.of('minecraft:quartz').withChance(0.4), Item.of('minecraft:ghast_tear').withChance(0.05), Item.of('minecraft:blaze_powder').withChance(0.1), Item.of('create:experience_nugget').withChance(0.2)],
	['minecraft:soul_sand','createsifter:advanced_brass_mesh'])
	event.recipes.createsifterSifting(
	[Item.of('create:crushed_raw_copper').withChance(0.05), Item.of('create:crushed_raw_zinc').withChance(0.05), Item.of('create:crushed_raw_gold').withChance(0.05), Item.of('create:crushed_raw_iron').withChance(0.05), Item.of('create_dd:lapis_lazuli_shard').withChance(0.06), Item.of('create_dd:diamond_shard').withChance(0.02), Item.of('create_dd:coal_piece').withChance(0.15), Item.of('v_borne:flint_dust').withChance(0.2), Item.of('create:experience_nugget').withChance(0.1)],
	['minecraft:gravel','createsifter:advanced_brass_mesh'])
	event.recipes.createsifterSifting(
	['minecraft:clay_ball', Item.of('minecraft:clay_ball').withChance(0.25), Item.of('minecraft:gunpowder').withChance(0.2), Item.of('minecraft:flint').withChance(0.15), Item.of('2x minecraft:pointed_dripstone').withChance(0.2), Item.of('create:experience_nugget').withChance(0.2)],
	['createsifter:dust','createsifter:brass_mesh']).waterlogged()
	event.recipes.createsifterSifting(
	[Item.of('mekanism:dust_sulfur').withChance(0.75),  Item.of('mekanism:dust_sulfur').withChance(0.25), Item.of('create:crushed_raw_aluminum').withChance(0.35), Item.of('minecraft:tuff').withChance(0.35), Item.of('create:experience_nugget').withChance(0.2)],
	['v_borne:mercury_gravel','createsifter:advanced_brass_mesh'])
	event.recipes.createsifterSifting(
	[Item.of('mekanism:dust_sulfur').withChance(0.75), Item.of('mekanism:dust_sulfur').withChance(0.25), Item.of('minecraft:basalt').withChance(0.1), Item.of('create_new_age:magnetite_block').withChance(0.25), Item.of('create:experience_nugget').withChance(0.15)],
	['northstar:venus_gravel','createsifter:advanced_brass_mesh'])
	event.recipes.createsifterSifting(
	[Item.of('mekanism:dirty_dust_iron').withChance(0.75), Item.of('mekanism:dust_iron').withChance(0.25), Item.of('minecraft:basalt').withChance(0.1), Item.of('create:crushed_raw_aluminum').withChance(0.25), Item.of('create:experience_nugget').withChance(0.1)],
	['northstar:mars_soil','createsifter:advanced_brass_mesh'])
	event.recipes.createsifterSifting(
	[Item.of('ae2:silicon').withChance(0.25), Item.of('minecraft:end_stone').withChance(0.2), Item.of('create:crushed_raw_aluminum').withChance(0.08), Item.of('create:experience_nugget').withChance(0.05)],
	['northstar:moon_sand','createsifter:advanced_brass_mesh'])
	event.recipes.create.crushing(
	['createsifter:dust', Item.of("createsifter:dust").withChance(0.25)],
	'minecraft:dripstone_block')
	event.recipes.create.crushing(
	'v_borne:mercury_gravel',
	'northstar:mercury_stone')
	event.shaped(
  Item.of('createsifter:brass_sifter', 1), // arg 1: output
  [
    'AAA',
    'BCB', // arg 2: the shape (array of strings)
    'BDB'
  ],
  {
	A: 'create:brass_sheet',
    B: 'create:brass_ingot',
	C: 'createsifter:sifter',
	D: 'create:electron_tube'
  })
  let inter = "v_borne:incomplete_advanced_brass_mesh"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("createsifter:advanced_brass_mesh").withChance(90.0),
				Item.of("create:brass_casing").withChance(10.0),	// this is the item that will appear in JEI as the result
            ],
            "createsifter:brass_mesh",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createDeploying(inter, [inter, 'create:brass_sheet']),
				event.recipes.createDeploying(inter, [inter, 'create:polished_rose_quartz']),
				event.recipes.createPressing(inter, inter),
            ]
        )
        .transitionalItem(inter)
        .loops(4); // set the transitional item and the number of loops
})